Create a Customer Bill On Demand
post
/customerBillOnDemand
Creates a customer bill on demand.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json;charset=utf-8
Root Schema : Customer Bill OnDemand Create
Type:
objectTitle:
Customer Bill OnDemand CreateAn on-demand customer bill, used in the create request. The id and href properties are not used in the create request.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
billingAccount(required):
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "BillingAccountRef":"#/components/schemas/BillingAccountRef" } } -
customerBill: object
Bill Ref
Title:
Bill RefA reference to a bill. -
description: string
Title:
Bill DescriptionThe on-demand bill's description. -
lastUpdate: string
Title:
Last Updated DateThe date that the on-demand bill was last updated. -
name: string
Title:
Bill NameThe on-demand bill's name. - relatedParty: object Related Party Ref
-
state: string
Title:
State ValuesAllowed Values:[ "inProgress", "rejected", "done", "terminatedWithError" ]The possible values for an on-demand bill's state: inProgress, rejected, done, and terminatedWithError.
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Match All
Refers to the billing account. The billing account describes the bill structure.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
allOf
EntityRef
-
object
Discriminator: @type-allOf[2]
Refers to the billing account. The billing account describes the bill structure.
Nested Schema : Bill Ref
Type:
objectTitle:
Bill RefA reference to a bill.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe actual type of the target instance when needed for disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
Title:
Bill HrefThe bill's href. -
id: string
Title:
Bill IDThe bill's ID.
Nested Schema : Related Party Ref
Type:
objectTitle:
Related Party RefA reference to the party related to an object.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe object's type in the target system. If baseType and type, need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationThe URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
Title:
Related Party HrefThe related party's href. -
id(required): string
Title:
Related Party IDThe related party's ID. -
name: string
Title:
Related Party NameThe related party's name. -
role: string
Title:
Related Party RoleThe related party's role.
Nested Schema : EntityRef
Match All
Represents an entity reference schema for EntityRef classes.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Addressable
Defines a base schema for addressable entities.
-
object
EntityRef-allOf[2]
Represents an entity reference schema for EntityRef classes.
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Addressable
Type:
objectDefines a base schema for addressable entities.
Show Source
-
href: string
The hyperlink reference.
-
id: string
The ID.
Nested Schema : EntityRef-allOf[2]
Type:
objectRepresents an entity reference schema for EntityRef classes.
Show Source
-
@referredType: string
The actual type of the target instance when needed for disambiguation.
-
href: string
The URI of the referred entity.
-
id(required): string
The identifier of the referred entity.
-
name: string
The referred entity's name.
Nested Schema : Discriminator: @type-allOf[2]
Type:
objectRefers to the billing account. The billing account describes the bill structure.
Show Source
-
ratingType: string
Indicates if the account follows a specific payment option such as prepaid or postpaid.
Response
Supported Media Types
- application/json;charset=utf-8
201 Response
The customer bill was created successfully.
Root Schema : Customer Bill OnDemand
Type:
objectTitle:
Customer Bill OnDemandA customer bill created on demand.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
billingAccount(required):
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "BillingAccountRef":"#/components/schemas/BillingAccountRef" } } -
customerBill: object
Bill Ref
Title:
Bill RefA reference to a bill. -
description: string
Title:
Bill DescriptionThe on-demand bill's description. -
href(required): string
Title:
Bill HrefThe on-demand bill's href. -
id(required): string
Title:
Bill IDThe on-demand bill's ID or bill number. -
lastUpdate: string
Title:
Last Updated DateThe date that the on-demand bill was last updated. -
name: string
Title:
Bill NameThe on-demand bill's name. - relatedParty: object Related Party Ref
-
state(required): string
Title:
State ValuesAllowed Values:[ "inProgress", "rejected", "done", "terminatedWithError" ]The possible values for an on-demand bill's state: inProgress, rejected, done, and terminatedWithError.
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Match All
Refers to the billing account. The billing account describes the bill structure.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
allOf
EntityRef
-
object
Discriminator: @type-allOf[2]
Refers to the billing account. The billing account describes the bill structure.
Nested Schema : Bill Ref
Type:
objectTitle:
Bill RefA reference to a bill.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe actual type of the target instance when needed for disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
Title:
Bill HrefThe bill's href. -
id: string
Title:
Bill IDThe bill's ID.
Nested Schema : Related Party Ref
Type:
objectTitle:
Related Party RefA reference to the party related to an object.
Show Source
-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe object's type in the target system. If baseType and type, need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationThe URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
Title:
Related Party HrefThe related party's href. -
id(required): string
Title:
Related Party IDThe related party's ID. -
name: string
Title:
Related Party NameThe related party's name. -
role: string
Title:
Related Party RoleThe related party's role.
Nested Schema : EntityRef
Match All
Represents an entity reference schema for EntityRef classes.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Addressable
Defines a base schema for addressable entities.
-
object
EntityRef-allOf[2]
Represents an entity reference schema for EntityRef classes.
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Addressable
Type:
objectDefines a base schema for addressable entities.
Show Source
-
href: string
The hyperlink reference.
-
id: string
The ID.
Nested Schema : EntityRef-allOf[2]
Type:
objectRepresents an entity reference schema for EntityRef classes.
Show Source
-
@referredType: string
The actual type of the target instance when needed for disambiguation.
-
href: string
The URI of the referred entity.
-
id(required): string
The identifier of the referred entity.
-
name: string
The referred entity's name.
Nested Schema : Discriminator: @type-allOf[2]
Type:
objectRefers to the billing account. The billing account describes the bill structure.
Show Source
-
ratingType: string
Indicates if the account follows a specific payment option such as prepaid or postpaid.
400 Response
The request isn't valid.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
401 Response
The client doesn't have the correct privileges.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
403 Response
The request wasn't authorized.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
405 Response
This method is not allowed.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
409 Response
The request could not be processed due to the conflict with the existing state of the resource.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
500 Response
The system has encountered an internal server error.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
Examples
The following example shows how to create a customer bill on demand by submitting a POST request on the REST resource using cURL. For more information about cURL, see Use cURL.
The -d option specifies the file to attach as the request body.
curl -X POST 'http://host:port/brm/customerBillManagement/version/customerBillOnDemand' -d @billCreate.json
Request Body
The following is an example of the contents of the billCreate.json file sent as the request body.
{
"@type":"CustomerBillOnDemand_Create",
"billingAccount": {
"id":"0.0.0.1+-account+341286"
}
}
Response Body
The following is an example of the response body in JSON format.
{
"id": "0.0.0.1+-bill+494205",
"href": "http://host:port/brm/customerBillManagement/version/customerBill/0.0.0.1+-bill+494205",
"description": null,
"lastUpdate": "2025-04-29T:18:34:02",
"name": null,
"billingAccount": {
"id": "0.0.0.1+-account+341286",
"href": null,
"name": "Grace Wang",
"@baseType": null,
"@schemaLocation": null,
"@type": "BillingAccountRef",
"@referredType": null
},
"customerBill": {
"id": "0.0.0.1+-bill+494205",
"href": "http://host:port/brm/customerBillManagement/version/customerBill/0.0.0.1+-bill+494205",
"@baseType": null,
"@schemaLocation": null,
"@type": "BillRef",
"@referredType": "CustomerBill"
},
"relatedParty": null,
"state": "DONE",
"@baseType": "CustomerBillOnDemand",
"@schemaLocation": null,
"@type": "CustomerBillOnDemand"
}